\documentclass{standalone}

\usepackage[frenchb]{babel}
\usepackage{tikz}

\usepackage{fp}
\usepgflibrary{fixedpointarithmetic}

\usepackage[np]{numprint}

\makeatletter

\pgfmathdeclarefunction{erf}{1}{%
  \begingroup
  \pgfkeys{/pgf/fixed point arithmetic}
  \pgfmathifthenelse{#1 > 0}{1}{-1}
  \edef\sign{\pgfmathresult}%
  \pgfmathparse{abs(#1)}
  \edef\x{\pgfmathresult}%
  \pgfmathparse{1/(1+0.3275911*\x)}
  \edef\t{\pgfmathresult}%
  \pgfmathparse{%
  1 - (((((1.061405429*\t -1.453152027)*\t) + 1.421413741)*\t
  -0.284496736)*\t + 0.254829592)*\t*exp(-(\x*\x))}
  \edef\y{\pgfmathresult}%
  \pgfmathparse{(\sign)*\y}
  \pgfmath@smuggleone\pgfmathresult%
  \endgroup
}
\pgfmathdeclarefunction{normcr}{1}{%
  \begingroup
  \pgfkeys{/pgf/fixed point arithmetic}
  \pgfmathparse{(erf(#1/sqrt(2))+1)/2}
  \pgfmath@smuggleone\pgfmathresult%
  \endgroup
}

\makeatother

\usetikzlibrary{shapes}

\begin{document}

\pgfkeys{/pgf/fixed point arithmetic}
\pgfkeys{/pgf/number format/.cd,fixed,precision=4}
\begin{tikzpicture}[xscale=1.3,yscale=0.7]
  \foreach \i in {0,...,9}{
    \foreach \j in {0,...,29}{
      \draw (\i-0.15,-\j) node[align=left] {\pgfmathparse{%
        normcr(\i/100+\j/10)}\FPround{\r}{\pgfmathresult}{4} \np{\r} } ;
    }
  }
  \foreach \i in {0,...,9}{
    \draw (\i,1) node {  \FPdiv{\r}{\i}{100}\FPround{\r}{\r}{2}
    \np{\r} } ;
  }
  \foreach \j in {0,...,29}{
    \draw (-1,-\j) node { \FPdiv\r{\j}{10}\FPround{\r}{\r}{1}
    \np{\r} } ;
  }

  \foreach \i in {0,...,9}{
    \draw[gray,thin] (\i-0.5,1.5) -- (\i-0.5,-29.5) ;
  }
  \foreach \j in {0,...,29}{
    \draw[gray,thin] (-1.5,-\j+0.5) -- (9.5,-\j+0.5) ;
  }

  \draw[very thick] (-0.5,1.5) -- (-0.5,-29.5) ;
  \draw[very thick] (4.5,1.5) -- (4.5,-29.5) ;

  \draw[very thick] (-1.5,0.5) -- (9.5,0.5);
  \draw[very thick] (-1.5,-9.5) -- (9.5,-9.5);
  \draw[very thick] (-1.5,-19.5) -- (9.5,-19.5) ;

  \edef\j{19}
  \edef\i{6}
  \filldraw[black!90,opacity=0.25] (-1.5,-\j+0.5) rectangle
  (\i+0.5,-\j-0.5) ;
  \filldraw[black!90,opacity=0.25] (\i+0.5,-\j+0.5) rectangle
  (\i-0.5,1.5) ;
  \draw (\i,-\j) node[draw,ellipse,thick] {\phantom{\np{0.000}}};
  \draw (\i,1) node[draw,ellipse,thick] {\phantom{0,00}};
  \draw (-1,-\j) node[draw,ellipse,thick] {\phantom{0,00}};

  \scriptsize
  \draw (2,-32) node[] {
    \begin{tabular}{|*{11}{c|}}\hline
      $\mathbf{t}$ & \np{3.0} & \np{3.1} & \np{3.2} & \np{3.3} &
      \np{3.4} & \np{3.5} & 3.6 & \np{3.8} & \np{4.0} & \np{4.5} \\
      \hline
      $\mathbf{\Pi(t)}$ & \pgfmathparse{normcr(3.0)} \FPround{\r}%
      {\pgfmathresult}{5}\np{\r} &\pgfmathparse{normcr(3.101)}\FPround{\r}%
      {\pgfmathresult}{5}\np{\r} &\pgfmathparse{normcr(3.2)}\FPround{\r}%
      {\pgfmathresult}{5}\np{\r} &\pgfmathparse{normcr(3.3)}\FPround{\r}%
      {\pgfmathresult}{5}\np{\r} &\pgfmathparse{normcr(3.4)}\FPround{\r}%
      {\pgfmathresult}{5}\np{\r} &\pgfmathparse{normcr(3.5)}\FPround{\r}%
      {\pgfmathresult}{5}\np{\r} &\pgfmathparse{normcr(3.6)}\FPround{\r}%
      {\pgfmathresult}{6}\np{\r} &\pgfmathparse{normcr(3.8)}\FPround{\r}%
      {\pgfmathresult}{6}\np{\r} &\pgfmathparse{normcr(4.0)}\FPround{\r}%
      {\pgfmathresult}{6}\np{\r} &\pgfmathparse{normcr(4.5)}\FPround{\r}%
      {\pgfmathresult}{6}\np{\r} \\ \hline
    \end{tabular}
  } ;


\end{tikzpicture}
\end{document}
